Bug 209923

Summary: [WebAuthn] Cancel WebAuthn requests after users cancelling LocalAuthentication prompts
Product: WebKit Reporter: Jiewen Tan <jiewen_tan>
Component: WebKit Misc.Assignee: Jiewen Tan <jiewen_tan>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, jiewen_tan, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 181943    
Attachments:
Description Flags
Patch
bfulgham: review+, bfulgham: commit-queue-
Patch for landing none

Description Jiewen Tan 2020-04-02 13:29:21 PDT
Cancel WebAuthn requests after users cancelling LocalAuthentication prompts.
Comment 1 Radar WebKit Bug Importer 2020-04-02 13:30:16 PDT
<rdar://problem/61223713>
Comment 2 Jiewen Tan 2020-04-02 13:44:26 PDT
Created attachment 395295 [details]
Patch
Comment 3 Jiewen Tan 2020-04-02 17:56:02 PDT
Windows port failures don't seem to be related.
Comment 4 Brent Fulgham 2020-04-06 09:58:38 PDT
Comment on attachment 395295 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=395295&action=review

Very nice! r=me (but please include my suggested changes).

> Source/WebCore/ChangeLog:3
> +        [WebAuthn] Cancel WebAuthn requests after users cancelling LocalAuthentication prompts

[WebAuthn] Cancel WebAuthn requests when users cancel LocalAuthentication prompts

> Source/WebKit/ChangeLog:10
> +        users cancellation on LocalAuthentication UI as it were on UI clients' WebAuthn UI.

"Here, we should treat user cancellation of the LocalAuthentication UI as if it were being done on the UI Client's WebAuthn UI."

> Source/WebKit/UIProcess/API/Cocoa/_WKWebAuthenticationPanel.mm:-63
> -

Please remove this whitespace change, which will remove this entire file from the patch.
Comment 5 Jiewen Tan 2020-04-07 15:12:31 PDT
Comment on attachment 395295 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=395295&action=review

Thanks Brent for r+ this patch.

>> Source/WebCore/ChangeLog:3
>> +        [WebAuthn] Cancel WebAuthn requests after users cancelling LocalAuthentication prompts
> 
> [WebAuthn] Cancel WebAuthn requests when users cancel LocalAuthentication prompts

Fixed.

>> Source/WebKit/ChangeLog:10
>> +        users cancellation on LocalAuthentication UI as it were on UI clients' WebAuthn UI.
> 
> "Here, we should treat user cancellation of the LocalAuthentication UI as if it were being done on the UI Client's WebAuthn UI."

Fixed.

>> Source/WebKit/UIProcess/API/Cocoa/_WKWebAuthenticationPanel.mm:-63
>> -
> 
> Please remove this whitespace change, which will remove this entire file from the patch.

Fixed.
Comment 6 Jiewen Tan 2020-04-07 15:14:52 PDT
Created attachment 395745 [details]
Patch for landing
Comment 7 EWS 2020-04-07 16:01:27 PDT
Committed r259680: <https://trac.webkit.org/changeset/259680>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 395745 [details].